Updates the company with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

company
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

is_client

SALES : Indicate if can be used for ordering

boolean
is_supplier

SERVICES : indicate if this company is a supplier

boolean
archived

Archive this company to not have it anymore on the search

boolean
name

string

Required

Max length: 64

notes

Notes/Remark field

string
create_date

Creation date+time

date
sales_territory_id

Territory of the company (Sales+Services).If more than one sales_territory exists, then it must be filled

globally unique identifier
sales_territory_code

Embedded entity "sales_territory" using ERP PK when adding/updating company

string
sales_territory

Embedded entity "sales_territory" using node when adding/updating company

sales_territory
marketing_segment_id

Marketing Segment of the company (Sales (Visit frequency logic) +Services (Planning Jobs To Be Planned) )

globally unique identifier
marketing_segment_code

Embedded entity "marketing_segment" using ERP PK when adding/updating company

string
marketing_segment

Embedded entity "marketing_segment" using node when adding/updating company

marketing_segment
sales_organization_id

Organization on which belongs the company.If more than one sales_organization exists, then it must be filled

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating company

sales_organization
company_sales_status_code

Foreign key of company_sales_status using code. Use "Normal,CreditRisk, BlockedbyCM or OrderBlocked"

string
vat_reg_code

VAT number

string

Max length: 50

is_working_address

Services : If False, you cannot create project/installation on this company.Default=true

boolean
parent_id

Reference to a parent company (in case of Child/Parent) when adding/updating company

globally unique identifier
parent_company_code

Embedded entity "company" for parent (in case of Child/Parent) using ERP PK when adding/updating company

string
parent_company

Embedded entity "company" for parent (in case of Child/Parent) when adding/updating company

company
phone

Phone number of the company

string

Max length: 50

fax

Fax number of the company

string

Max length: 50

url

URL of the company website

string

Max length: 255

email

email

string

Max length: 250

street

Address:Street

string

Max length: 100

street_number

Address:Street Number. If your ERP doesn't have this field, then only use field "street" and disable the street number on Odyssee/Admin/Impl Settings/Global Settings:Hide Street Number

string

Max length: 50

city

Address:City

string

Max length: 50

zip

Address:Zip

string

Max length: 50

db_country_id

Address:Country

globally unique identifier
db_country_code

Address:CountryCode entity using international code when adding/updating company

string
feelist_id

FeeList activated for the company (On Service, Feelist determines the price of the invoicable timesheets)

globally unique identifier
feelist_reference_back_office

Embedded entity "feelist" using ERP PK when adding/updating company

string
feelist

Embedded entity "feelist" using node when adding/updating company

feelist
company_type_id

Company Type

globally unique identifier
company_type_name

Embedded entity "company_type" using ERP PK when adding/updating company

string
company_type

Embedded entity "company_type" using node when adding/updating company

company_type
db_language_id

Language of the company.If empty, will use the default on the system

globally unique identifier
db_language_code

Language code entity using international isocode when adding/updating company

string
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

article_price_label_id

Foreign key of article price label

globally unique identifier
article_price_label_code

Embedded entity "article price label" using ERP PK when adding/updating

string
article_price_label

Embedded entity "article price label" when adding/updating

article_price_label
db_payment_method_id

Embedded entity "db payment methods" using ERP PK when adding/updating company

globally unique identifier
db_payment_method_reference_back_office

Embedded entity "db payment methods" using ERP PK when adding/updating company

string
db_payment_methods

Embedded entity "db payment methods" using ERP PK when adding/updating company

db_payment_methods
company_sector_id

Foreign key to company_sector

globally unique identifier
company_sector_code

Embedded code for the company_sector using ERP PK when adding/updating

string
company_sector

Embedded entity for the company_sector using the key from an external system when adding/updating object

company_sector
is_lead

Indicate that company is not already a customer

boolean
is_subcontractor

For Service, that company is one of your subcontractors

boolean
latitude

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
street2

Additional information on the address not part of the postal address

string
bic_code

bic code

string
specialities

specialities

string
register_number

register_number

string
register_city

register_city

string
bankaccount

Bank account of the company.

string
mobile

Mobile number of the company

string

Max length: 50

service_manager_user_id

ID of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

globally unique identifier
service_manager_user_code

Embedded code of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

string
service_manager_user

Embedded entity of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

user
finance_manager_user_id

ID of the finance manager. Only used inside communication and tags

globally unique identifier
finance_manager_user_code

Embedded code of the finance manager. Only used inside communication and tags

string
finance_manager_user

Embedded entity of the finance manager. Only used inside communication and tags

user
account_manager_user_id

ID of the account manager. Only used inside communication and tags

globally unique identifier
account_manager_user_code

Embedded code of the account manager. Only used inside communication and tags

string
account_manager_user

Embedded entity of the account manager. Only used inside communication and tags

user
company_status_id

Company Status

globally unique identifier
invoice_email_to

Email to send invoice

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric)

integer

Request Formats :

application/json, text/json

Sample:
{
  "id": "3b470d4a-44cb-46d5-9ad4-06470948bb77",
  "is_client": true,
  "is_supplier": true,
  "archived": true,
  "name": "sample string 5",
  "notes": "sample string 6",
  "create_date": "2026-11-12T19:23:35.4903828+00:00",
  "sales_territory_id": "58b53aae-bf91-413d-8572-5a3d9faee248",
  "sales_territory_code": "sample string 9",
  "sales_territory": {
    "id": "ee7ce467-28af-4829-b348-92aa159f6d33",
    "code": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "2c2fa3dd-2dec-4747-9439-1cef60f91edc",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "89c0aed2-48f2-4dbd-a029-4d248f0ac249",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "b3131b42-a267-47fd-9846-47504d38e802",
      "db_currency_id": "98c8f471-3cb4-4c1a-9921-2031ffaa44e8",
      "db_language_id": "37442b82-6bc0-4679-895f-b7f7fe4d2e6f",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-12T19:23:35.5072432+00:00"
    },
    "modified_dateutc": "2026-11-12T19:23:35.5072432+00:00"
  },
  "marketing_segment_id": "d55d2387-b393-4352-9140-38ffc68958c9",
  "marketing_segment_code": "sample string 11",
  "sales_organization_id": "faa244ea-32a8-4b30-9f08-a03d434151da",
  "sales_organization_code": "sample string 13",
  "company_sales_status_code": "sample string 14",
  "vat_reg_code": "sample string 15",
  "is_working_address": true,
  "parent_id": "e9e4c058-9521-49b5-b305-fdb618850e3b",
  "parent_company_code": "sample string 18",
  "phone": "sample string 19",
  "fax": "sample string 20",
  "url": "sample string 21",
  "email": "sample string 22",
  "street": "sample string 23",
  "street_number": "sample string 24",
  "city": "sample string 25",
  "zip": "sample string 26",
  "db_country_id": "f652fabb-9cfc-42fc-a503-42c8d1e30fce",
  "db_country_code": "sample string 28",
  "feelist_id": "f9664cf1-5428-4a60-b057-0a194e0dd8bd",
  "feelist_reference_back_office": "sample string 30",
  "feelist": {
    "id": "54facbe3-809e-4675-9fe6-486117319a3b",
    "name": "sample string 2",
    "description": "sample string 3",
    "is_default": true,
    "default_price": 1.0,
    "sales_organization_id": "f0dfb6ec-3761-4e6b-bcfb-a5c0777304ca",
    "sales_organization_code": "sample string 6",
    "reference_back_office": "sample string 7",
    "modified_dateutc": "2026-11-12T19:23:35.5072432+00:00",
    "db_currency_id": "c4c9ab3b-d9f8-4b73-beb3-f02ad15c1793",
    "db_currency_code": "sample string 10"
  },
  "company_type_id": "a6dc82dd-5734-4429-bbde-947e08e1ad1e",
  "company_type_name": "sample string 32",
  "company_type": {
    "id": "728661a6-0019-463b-aa9b-a2b089823571",
    "name": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "84e61fe7-d6d1-4fda-827c-1b4d24b6606f",
    "sales_organization_code": "sample string 5"
  },
  "db_language_id": "04dcc928-db55-4b44-bcdd-d0a0e1d4ee69",
  "db_language_code": "sample string 34",
  "code": "sample string 35",
  "article_price_label_id": "1753b195-83d2-4f65-a59a-61a040ccf1fd",
  "article_price_label_code": "sample string 37",
  "db_payment_method_id": "d0ab8ccf-f40e-4c67-a8bb-d1569c982cdb",
  "db_payment_method_reference_back_office": "sample string 39",
  "db_payment_methods": {
    "id": "c847a28f-1982-4b8f-bea4-cb053768686b",
    "name": "sample string 2",
    "description": "sample string 3",
    "reference_back_office": "sample string 4",
    "activated": true,
    "modified_dateutc": "2026-11-12T19:23:35.5072432+00:00"
  },
  "company_sector_id": "7cad7805-be85-4715-a152-798aae847184",
  "company_sector_code": "sample string 41",
  "is_lead": true,
  "is_subcontractor": true,
  "latitude": 1.0,
  "longitude": 1.0,
  "street2": "sample string 44",
  "bic_code": "sample string 45",
  "specialities": "sample string 46",
  "register_number": "sample string 47",
  "register_city": "sample string 48",
  "bankaccount": "sample string 49",
  "mobile": "sample string 50",
  "service_manager_user_id": "1c202300-294a-4965-9272-2af79509478e",
  "service_manager_user_code": "sample string 52",
  "finance_manager_user_id": "83d74700-898e-44c1-a4e4-607578cd8dc4",
  "finance_manager_user_code": "sample string 54",
  "account_manager_user_id": "c0df0b61-b396-4c62-b7c2-8a5b8c1c3caa",
  "account_manager_user_code": "sample string 56",
  "company_status_id": "8e4c7552-0ee5-42ff-bcd6-97e56bc7a1a1",
  "invoice_email_to": "sample string 58",
  "modified_dateutc": "2026-11-12T19:23:35.5072432+00:00",
  "id2": 60
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.